# Adapt Authoring Tool

[![Build Status](https://drone.autonomic.zone/api/badges/coop-cloud/adapt_authoring/status.svg)](https://drone.autonomic.zone/coop-cloud/adapt_authoring)

User interface for authoring eLearning courses using the Adapt framework • https://github.com/adaptlearning/adapt_authoring

<!-- metadata -->
* **Category**: Apps
* **Status**: 1, alpha
* **Image**: [`3wordchant/adaptauthoring`](https://hub.docker.com/r/3wordchant/adaptauthoring), 0, own
* **Healthcheck**: Yes
* **Backups**: No
* **Email**: No
* **Tests**: 2
* **SSO**: No
<!-- endmetadata -->

## Basic usage

1. Set up Docker Swarm and [`abra`]
2. Deploy [`coop-cloud/traefik`]
3. `abra app new adaptauthoring --secrets` (optionally with `--pass` if you'd like
   to save secrets in `pass`)
4. `abra app YOURAPPDOMAIN config` - be sure to change `$DOMAIN` to something that resolves to
   your Docker swarm box
5. `abra app YOURAPPDOMAIN deploy`

[`abra`]: https://git.autonomic.zone/autonomic-cooperative/abra
[`coop-cloud/traefik`]: https://git.autonomic.zone/coop-cloud/traefik
